#ifndef COMPILE_H
#include "COMPILE.H"
#endif
#ifdef MEDIA676_F31E_F31J_X31J_P31J_AU1E_AU2E_AU3E
#ifdef MEDIA762_AU1E
extern void F7065_ClearChampionPortraitPointersBeforeSavingGame();
extern void F7064_PadChampionNameAndTitle();
extern void F7054_DetermineGameFormats();
extern unsigned int16_t F7056_F0418_SAVEUTIL_GetChecksum();
extern char* F2095_AllocateMemory();
#endif
#ifdef MEDIA674_F31E_F31J_X31J_P31J
static void F7064_PadChampionNameAndTitle(unsigned int16_t P3585_i_GameIndex);
#endif
#ifdef MEDIA768_AU2E_AU3E
static void F7064_PadChampionNameAndTitle(register GAME* P6023_ps_);
#endif
#ifdef MEDIA677_F31E_F31J_X31J_P31J_AU2E_AU3E
static void F7054_DetermineGameFormats(GAME* P3714_ps_);
static unsigned int16_t F7056_F0418_SAVEUTIL_GetChecksum(
unsigned int16_t* P0807_pui_Buffer   SEPARATOR
unsigned int16_t  P0808_ui_Key       SEPARATOR
unsigned int16_t  P0809_ui_WordCount
);
static void F7057_ReadSaveGamePartWithChecksum(unsigned char* P3578_puc_Buffer, unsigned int16_t P3579_ui_Size, unsigned int16_t P3580_ui_Key, unsigned int16_t P3581_ui_Checksum);
static void F7058_WriteSavePartWithChecksum(char* P3715_pc_Buffer, unsigned int16_t P3716_ui_ByteCount, int16_t P3717_i_Key, unsigned int16_t* P3718_pui_Checksum);
static BOOLEAN F7061_F0429_STARTEND_IsReadSaveHeaderSuccessful(int16_t* P0846_pi_Buffer, unsigned int16_t P3582_ui_KeyWordIndex);
static void F7062_F0430_STARTEND_IsWriteObfuscatedSaveHeaderSuccessful(
int16_t*         P0847_pi_Buffer      SEPARATOR
unsigned int16_t P3583_i_KeyWordIndex
);
static BOOLEAN F7063_LoadDungeon(GAME* P3584_ps_);
static void F7065_ClearChampionPortraitPointersBeforeSavingGame(GAME* P3586_ps_);
static void F7060_WriteDungeonPartWithChecksum(unsigned char* P3722_puc_, int16_t* P3723_pi_Checksum, unsigned int16_t P3724_ui_ByteCount);
#endif

#ifdef MEDIA762_AU1E
extern int16_t G3770_;
extern char* G3771_;
extern char* G3797_pc_DungeonMasterSavedGameFileName;
extern char* G3798_pc_DungeonMasterBackupSavedGameFileName;
extern char* G3799_pc_ChaosStrikesBackSavedGameFileName;
extern char* G3800_pc_ChaosStrikesBackBackupSavedGameFileName;
extern char* G3801_;
extern char* G3802_pc_SaveFloppyDriveRootPath;
extern char* G3803_;
extern char* G3790_SAVED_GAME_ERROR;
extern char* G3792_CAN_T_FIND_NEW_ADVENTURE;
extern char* G3788_CAN_T_FIND_SAVED_GAME;
extern char* G3793_THE_NEW_ADVENTURE_IS_DAMAGED;
extern char* G3794_ERROR_WHILE_SAVING_NEW_ADVENTURE;

FILE_HANDLE G3805_FileHandle;
int16_t G3807_;
#endif

#ifdef MEDIA695_X31J_P31J_AU2E_AU3E
int16_t G7004_SavedGameFileHandle = -1; /* Maybe static */
#endif
#ifdef MEDIA670_F31E_F31J
volatile int16_t G7004_SavedGameFileHandle = -1; /* Maybe static */ /* ANOMALY_FMT Unwanted optimization in F7051_ if not volatile */
#endif
#ifdef MEDIA699_X31J_AU2E_AU3E
int16_t G7113_DialogBitmapIndex;
int16_t G7112_HideMousePointerCount;
unsigned char* G2244_apuc_DialogBitmaps[2];
long G7115_DialogByteCount;
unsigned char* G7117_Bitmap_Mirror;
unsigned char* G7116_Bitmap_FilePickerArrows;
BACKUP_PORTRAIT G2329_s_UndoPortrait;
BACKUP_PORTRAIT G2328_s_TempPortrait;
unsigned char* G2243_OnScreenPortraitBitmaps[4];
#endif
#ifdef MEDIA768_AU2E_AU3E
CEDTAMISTRU G3918_;
#endif
#ifdef MEDIA695_X31J_P31J_AU2E_AU3E
unsigned char G0235_auc_Graphic559_ThingDataByteCount[16] = { 4, 6, 4, 8, 16, 4, 4, 4, 4, 8, 4, 0, 0, 0, 8, 4 };
#endif


#include "CEDTINCD.C"
#include "CEDTINC8.C"
#include "CEDTINCB.C"

#ifdef MEDIA677_F31E_F31J_X31J_P31J_AU2E_AU3E
#include "CEDTINCT.C"
#endif

#include "CEDTINC6.C"
#include "CEDTINCA.C"

#ifdef MEDIA677_F31E_F31J_X31J_P31J_AU2E_AU3E
#include "CEDTINCQ.C"
#include "CEDTINCS.C"
#endif

long F7067_GetChampionInfo(GAME* P3588_ps_, unsigned int16_t P3589_ui_ChampionIndex, unsigned int16_t P3590_ui_InfoIndex)
{ /* P3590_ui_InfoIndex values 1 to 31 except 7 and 8 */
        long L3978_l_;
        CHAMPION_INCLUDING_PORTRAIT* L3979_ps_ChampionExcludingPortrait;
        CHAMPION_EXCLUDING_PORTRAIT* L3980_ps_ChampionIncludingPortrait;


        L3978_l_ = 0;
        if (P3588_ps_->ChampionFormat == C1_CHAMPION_FORMAT_PORTRAITS_INCLUDED) {
                L3979_ps_ChampionExcludingPortrait = &((CHAMPION_INCLUDING_PORTRAIT*)(P3588_ps_->Champions))[P3589_ui_ChampionIndex];
                switch (P3590_ui_InfoIndex) {
                        case C01_CHAMPION_INFO_NAME:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Name;
                                break;
                        case C02_CHAMPION_INFO_TITLE:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Title;
                                break;
                        case C03_CHAMPION_INFO_DIRECTION:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Direction;
                                break;
                        case C04_CHAMPION_INFO_CELL:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Cell;
                                break;
                        case C05_CHAMPION_INFO_ACTIONINDEX:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->ActionIndex;
                                break;
                        case C06_CHAMPION_INFO_SYMBOLSTEP:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->SymbolStep;
                                break;
                        case C09_CHAMPION_INFO_SYMBOLS:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Symbols;
                                break;
                        case C10_CHAMPION_INFO_DIRECTIONMAXIMUMDAMAGERECEIVED:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->DirectionMaximumDamageReceived;
                                break;
                        case C11_CHAMPION_INFO_MAXIMUMDAMAGERECEIVED:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->MaximumDamageReceived;
                                break;
                        case C12_CHAMPION_INFO_POISONEVENTCOUNT:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->PoisonEventCount;
                                break;
                        case C13_CHAMPION_INFO_ENABLEACTIONEVENTINDEX:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->EnableActionEventIndex;
                                break;
                        case C14_CHAMPION_INFO_HIDEDAMAGERECEIVEDEVENTINDEX:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->HideDamageReceivedEventIndex;
                                break;
                        case C15_CHAMPION_INFO_ATTRIBUTES:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Attributes;
                                break;
                        case C16_CHAMPION_INFO_WOUNDS:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Wounds;
                                break;
                        case C17_CHAMPION_INFO_CURRENTHEALTH:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->CurrentHealth;
                                break;
                        case C18_CHAMPION_INFO_MAXIMUMHEALTH:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->MaximumHealth;
                                break;
                        case C19_CHAMPION_INFO_CURRENTSTAMINA:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->CurrentStamina;
                                break;
                        case C20_CHAMPION_INFO_MAXIMUMSTAMINA:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->MaximumStamina;
                                break;
                        case C21_CHAMPION_INFO_CURRENTMANA:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->CurrentMana;
                                break;
                        case C22_CHAMPION_INFO_MAXIMUMMANA:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->MaximumMana;
                                break;
                        case C23_CHAMPION_INFO_ACTIONDEFENSE:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->ActionDefense;
                                break;
                        case C24_CHAMPION_INFO_FOOD:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Food;
                                break;
                        case C25_CHAMPION_INFO_WATER:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Water;
                                break;
                        case C26_CHAMPION_INFO_STATISTICS:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Statistics;
                                break;
                        case C27_CHAMPION_INFO_SKILLS:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Skills;
                                break;
                        case C28_CHAMPION_INFO_SLOTS:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Slots;
                                break;
                        case C29_CHAMPION_INFO_LOAD:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Load;
                                break;
                        case C30_CHAMPION_INFO_SHIELDDEFENSE:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->ShieldDefense;
                                break;
                        case C31_CHAMPION_INFO_PORTRAIT:
                                L3978_l_ = (long)L3979_ps_ChampionExcludingPortrait->Portrait;
                }
        } else {
                if (P3588_ps_->ChampionFormat == C2_CHAMPION_FORMAT_PORTRAITS_EXCLUDED) {
                        L3980_ps_ChampionIncludingPortrait = &P3588_ps_->Champions[P3589_ui_ChampionIndex];
                        switch (P3590_ui_InfoIndex) {
                                case C01_CHAMPION_INFO_NAME:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Name;
                                        break;
                                case C02_CHAMPION_INFO_TITLE:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Title;
                                        break;
                                case C03_CHAMPION_INFO_DIRECTION:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Direction;
                                        break;
                                case C04_CHAMPION_INFO_CELL:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Cell;
                                        break;
                                case C05_CHAMPION_INFO_ACTIONINDEX:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->ActionIndex;
                                        break;
                                case C06_CHAMPION_INFO_SYMBOLSTEP:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->SymbolStep;
                                        break;
                                case C09_CHAMPION_INFO_SYMBOLS:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Symbols;
                                        break;
                                case C10_CHAMPION_INFO_DIRECTIONMAXIMUMDAMAGERECEIVED:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->DirectionMaximumDamageReceived;
                                        break;
                                case C11_CHAMPION_INFO_MAXIMUMDAMAGERECEIVED:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->MaximumDamageReceived;
                                        break;
                                case C12_CHAMPION_INFO_POISONEVENTCOUNT:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->PoisonEventCount;
                                        break;
                                case C13_CHAMPION_INFO_ENABLEACTIONEVENTINDEX:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->EnableActionEventIndex;
                                        break;
                                case C14_CHAMPION_INFO_HIDEDAMAGERECEIVEDEVENTINDEX:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->HideDamageReceivedEventIndex;
                                        break;
                                case C15_CHAMPION_INFO_ATTRIBUTES:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Attributes;
                                        break;
                                case C16_CHAMPION_INFO_WOUNDS:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Wounds;
                                        break;
                                case C17_CHAMPION_INFO_CURRENTHEALTH:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->CurrentHealth;
                                        break;
                                case C18_CHAMPION_INFO_MAXIMUMHEALTH:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->MaximumHealth;
                                        break;
                                case C19_CHAMPION_INFO_CURRENTSTAMINA:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->CurrentStamina;
                                        break;
                                case C20_CHAMPION_INFO_MAXIMUMSTAMINA:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->MaximumStamina;
                                        break;
                                case C21_CHAMPION_INFO_CURRENTMANA:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->CurrentMana;
                                        break;
                                case C22_CHAMPION_INFO_MAXIMUMMANA:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->MaximumMana;
                                        break;
                                case C23_CHAMPION_INFO_ACTIONDEFENSE:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->ActionDefense;
                                        break;
                                case C24_CHAMPION_INFO_FOOD:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Food;
                                        break;
                                case C25_CHAMPION_INFO_WATER:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Water;
                                        break;
                                case C26_CHAMPION_INFO_STATISTICS:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Statistics;
                                        break;
                                case C27_CHAMPION_INFO_SKILLS:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Skills;
                                        break;
                                case C28_CHAMPION_INFO_SLOTS:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Slots;
                                        break;
                                case C29_CHAMPION_INFO_LOAD:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Load;
                                        break;
                                case C30_CHAMPION_INFO_SHIELDDEFENSE:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->ShieldDefense;
                                        break;
                                case C31_CHAMPION_INFO_PORTRAIT:
                                        L3978_l_ = (long)L3980_ps_ChampionIncludingPortrait->Portrait;
                        }
                }
        }
        return L3978_l_;
}

void F7068_SetChampionInfo(GAME* P3591_ps_, unsigned int16_t P3592_ui_ChampionIndex, unsigned int16_t P3593_ui_InfoIndex, long P3594_l_InfoData)
{
        CHAMPION_INCLUDING_PORTRAIT* L3981_ps_ChampionIncludingPortrait;
        CHAMPION_EXCLUDING_PORTRAIT* L3982_ps_ChampionExcludingPortrait;


        if (P3591_ps_->ChampionFormat == C1_CHAMPION_FORMAT_PORTRAITS_INCLUDED) {
                L3981_ps_ChampionIncludingPortrait = &((CHAMPION_INCLUDING_PORTRAIT*)(P3591_ps_->Champions))[P3592_ui_ChampionIndex];
                switch (P3593_ui_InfoIndex) {
                        case C01_CHAMPION_INFO_NAME:
                        case C02_CHAMPION_INFO_TITLE:
                                break;
                        case C03_CHAMPION_INFO_DIRECTION:
                                L3981_ps_ChampionIncludingPortrait->Direction = P3594_l_InfoData;
                                break;
                        case C04_CHAMPION_INFO_CELL:
                                L3981_ps_ChampionIncludingPortrait->Cell = P3594_l_InfoData;
                                break;
                        case C05_CHAMPION_INFO_ACTIONINDEX:
                                L3981_ps_ChampionIncludingPortrait->ActionIndex = P3594_l_InfoData;
                                break;
                        case C06_CHAMPION_INFO_SYMBOLSTEP:
                                L3981_ps_ChampionIncludingPortrait->SymbolStep = P3594_l_InfoData;
                                break;
                        case C10_CHAMPION_INFO_DIRECTIONMAXIMUMDAMAGERECEIVED:
                                L3981_ps_ChampionIncludingPortrait->DirectionMaximumDamageReceived = P3594_l_InfoData;
                                break;
                        case C11_CHAMPION_INFO_MAXIMUMDAMAGERECEIVED:
                                L3981_ps_ChampionIncludingPortrait->MaximumDamageReceived = P3594_l_InfoData;
                                break;
                        case C12_CHAMPION_INFO_POISONEVENTCOUNT:
                                L3981_ps_ChampionIncludingPortrait->PoisonEventCount = P3594_l_InfoData;
                                break;
                        case C13_CHAMPION_INFO_ENABLEACTIONEVENTINDEX:
                                L3981_ps_ChampionIncludingPortrait->EnableActionEventIndex = P3594_l_InfoData;
                                break;
                        case C14_CHAMPION_INFO_HIDEDAMAGERECEIVEDEVENTINDEX:
                                L3981_ps_ChampionIncludingPortrait->HideDamageReceivedEventIndex = P3594_l_InfoData;
                                break;
                        case C15_CHAMPION_INFO_ATTRIBUTES:
                                L3981_ps_ChampionIncludingPortrait->Attributes = P3594_l_InfoData;
                                break;
                        case C16_CHAMPION_INFO_WOUNDS:
                                L3981_ps_ChampionIncludingPortrait->Wounds = P3594_l_InfoData;
                                break;
                        case C17_CHAMPION_INFO_CURRENTHEALTH:
                                L3981_ps_ChampionIncludingPortrait->CurrentHealth = P3594_l_InfoData;
                                break;
                        case C18_CHAMPION_INFO_MAXIMUMHEALTH:
                                L3981_ps_ChampionIncludingPortrait->MaximumHealth = P3594_l_InfoData;
                                break;
                        case C19_CHAMPION_INFO_CURRENTSTAMINA:
                                L3981_ps_ChampionIncludingPortrait->CurrentStamina = P3594_l_InfoData;
                                break;
                        case C20_CHAMPION_INFO_MAXIMUMSTAMINA:
                                L3981_ps_ChampionIncludingPortrait->MaximumStamina = P3594_l_InfoData;
                                break;
                        case C21_CHAMPION_INFO_CURRENTMANA:
                                L3981_ps_ChampionIncludingPortrait->CurrentMana = P3594_l_InfoData;
                                break;
                        case C22_CHAMPION_INFO_MAXIMUMMANA:
                                L3981_ps_ChampionIncludingPortrait->MaximumMana = P3594_l_InfoData;
                                break;
                        case C23_CHAMPION_INFO_ACTIONDEFENSE:
                                L3981_ps_ChampionIncludingPortrait->ActionDefense = P3594_l_InfoData;
                                break;
                        case C24_CHAMPION_INFO_FOOD:
                                L3981_ps_ChampionIncludingPortrait->Food = P3594_l_InfoData;
                                break;
                        case C25_CHAMPION_INFO_WATER:
                                L3981_ps_ChampionIncludingPortrait->Water = P3594_l_InfoData;
                                break;
                        case C29_CHAMPION_INFO_LOAD:
                                L3981_ps_ChampionIncludingPortrait->Load = P3594_l_InfoData;
                                break;
                        case C30_CHAMPION_INFO_SHIELDDEFENSE:
                                L3981_ps_ChampionIncludingPortrait->ShieldDefense = P3594_l_InfoData;
                                break;
                        case C31_CHAMPION_INFO_PORTRAIT:
                                break;
                }
        } else {
                if (P3591_ps_->ChampionFormat == C2_CHAMPION_FORMAT_PORTRAITS_EXCLUDED) {
                        L3982_ps_ChampionExcludingPortrait = &P3591_ps_->Champions[P3592_ui_ChampionIndex];
                        switch (P3593_ui_InfoIndex) {
                                case C01_CHAMPION_INFO_NAME:
                                case C02_CHAMPION_INFO_TITLE:
                                        break;
                                case C03_CHAMPION_INFO_DIRECTION:
                                        L3982_ps_ChampionExcludingPortrait->Direction = P3594_l_InfoData;
                                        break;
                                case C04_CHAMPION_INFO_CELL:
                                        L3982_ps_ChampionExcludingPortrait->Cell = P3594_l_InfoData;
                                        break;
                                case C05_CHAMPION_INFO_ACTIONINDEX:
                                        L3982_ps_ChampionExcludingPortrait->ActionIndex = P3594_l_InfoData;
                                        break;
                                case C06_CHAMPION_INFO_SYMBOLSTEP:
                                        L3982_ps_ChampionExcludingPortrait->SymbolStep = P3594_l_InfoData;
                                        break;
                                case C10_CHAMPION_INFO_DIRECTIONMAXIMUMDAMAGERECEIVED:
                                        L3982_ps_ChampionExcludingPortrait->DirectionMaximumDamageReceived = P3594_l_InfoData;
                                        break;
                                case C11_CHAMPION_INFO_MAXIMUMDAMAGERECEIVED:
                                        L3982_ps_ChampionExcludingPortrait->MaximumDamageReceived = P3594_l_InfoData;
                                        break;
                                case C12_CHAMPION_INFO_POISONEVENTCOUNT:
                                        L3982_ps_ChampionExcludingPortrait->PoisonEventCount = P3594_l_InfoData;
                                        break;
                                case C13_CHAMPION_INFO_ENABLEACTIONEVENTINDEX:
                                        L3982_ps_ChampionExcludingPortrait->EnableActionEventIndex = P3594_l_InfoData;
                                        break;
                                case C14_CHAMPION_INFO_HIDEDAMAGERECEIVEDEVENTINDEX:
                                        L3982_ps_ChampionExcludingPortrait->HideDamageReceivedEventIndex = P3594_l_InfoData;
                                        break;
                                case C15_CHAMPION_INFO_ATTRIBUTES:
                                        L3982_ps_ChampionExcludingPortrait->Attributes = P3594_l_InfoData;
                                        break;
                                case C16_CHAMPION_INFO_WOUNDS:
                                        L3982_ps_ChampionExcludingPortrait->Wounds = P3594_l_InfoData;
                                        break;
                                case C17_CHAMPION_INFO_CURRENTHEALTH:
                                        L3982_ps_ChampionExcludingPortrait->CurrentHealth = P3594_l_InfoData;
                                        break;
                                case C18_CHAMPION_INFO_MAXIMUMHEALTH:
                                        L3982_ps_ChampionExcludingPortrait->MaximumHealth = P3594_l_InfoData;
                                        break;
                                case C19_CHAMPION_INFO_CURRENTSTAMINA:
                                        L3982_ps_ChampionExcludingPortrait->CurrentStamina = P3594_l_InfoData;
                                        break;
                                case C20_CHAMPION_INFO_MAXIMUMSTAMINA:
                                        L3982_ps_ChampionExcludingPortrait->MaximumStamina = P3594_l_InfoData;
                                        break;
                                case C21_CHAMPION_INFO_CURRENTMANA:
                                        L3982_ps_ChampionExcludingPortrait->CurrentMana = P3594_l_InfoData;
                                        break;
                                case C22_CHAMPION_INFO_MAXIMUMMANA:
                                        L3982_ps_ChampionExcludingPortrait->MaximumMana = P3594_l_InfoData;
                                        break;
                                case C23_CHAMPION_INFO_ACTIONDEFENSE:
                                        L3982_ps_ChampionExcludingPortrait->ActionDefense = P3594_l_InfoData;
                                        break;
                                case C24_CHAMPION_INFO_FOOD:
                                        L3982_ps_ChampionExcludingPortrait->Food = P3594_l_InfoData;
                                        break;
                                case C25_CHAMPION_INFO_WATER:
                                        L3982_ps_ChampionExcludingPortrait->Water = P3594_l_InfoData;
                                        break;
                                case C29_CHAMPION_INFO_LOAD:
                                        L3982_ps_ChampionExcludingPortrait->Load = P3594_l_InfoData;
                                        break;
                                case C30_CHAMPION_INFO_SHIELDDEFENSE:
                                        L3982_ps_ChampionExcludingPortrait->ShieldDefense = P3594_l_InfoData;
                                        break;
                                case C31_CHAMPION_INFO_PORTRAIT:
                                        L3982_ps_ChampionExcludingPortrait->Portrait = (char*)P3594_l_InfoData;
                        }
                }
        }
}
#endif
